<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8" />
        <meta name="viewport" content="width=device-width, initial-scale=1.0" />
        <title>Document</title>
        <script defer src="promesas.js"></script>
    </head>
    <body>
        <button type="button" onclick="sleepSync(6000); console.log('after sleepSync')">
            Sleep sync 6000
        </button>
        <button
            type="button"
            onclick="sleep(6000).then(()=>console.log('after sleep')); console.log('hola')"
        >
            Sleep 6000
        </button>
    </body>
</html>
